DICOMDUMP(1)

NAME
dicomdump - vtk-dicom CLI

DESCRIPTION

  usage:

    dicomdump file1.dcm [file2.dcm ...]

  options:

-k tag
    Provide a tag or key to be printed.

-q <query.txt>
    Provide a file that lists which elements to print.

--charset <cs>
    Charset to use if SpecificCharacterSet is missing.

--help
    Print a brief help message.

--version
    Print the software version.

Dump the metadata from a set of DICOM files as text.

By default, all the attributes are dumped. However, If only a few attributes are to be dumped, then their tags can be given with "-k" (the "-k" option can be repeated as many times as needed). Tags can be given in hexadecimal GGGG,EEEE format, or in text format as specified in the DICOM dictionary key. Alternatively, the tags can be listed in a query file given with the "-q" option (one tag per line). Attributes nested within sequences can be specified by giving a tag path e.g. "-k Tag1/Tag2/Tag3". Either a forward slash or a backslash can be used to separate the components of the path.

For text attribute values, any unprintable bytes will be replaced with the four characters "\nnn", where "nnn" is the three digit octal code for the byte. Unprintable bytes are control characters or bytes that cannot be decoded with the SpecificCharacterSet of the DICOM file. A backslash itself will be replaced by its byte value "\134" if the VR is ST, LT or UT (that is, any VR where backslash isn't used as a separator for multi-valued attributes).

AUTHOR
This manual page was written by Mathieu Malaterre <malat@debian.org> for the Debian GNU/Linux system, but may be used by others.